package com.chinacreator.process;

import com.alibaba.fastjson.JSONObject;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class Mian {
	
	@SuppressWarnings("resource")
    public static void main( String[] args )
    { 
		System.out.println("程序初始化");
    	new ClassPathXmlApplicationContext(new String[]{"applicationContext.xml"}).registerShutdownHook();
    	System.out.println("程序初始化完成");
    	testFastjson();
    }

    private static void testFastjson(){
		System.out.println("fastjson BUG 修护");
		String jsonStr = "{\"x\":{\"@type\":\"java.net.InetSocketAddress\"{\"address\":,\"val\":\"fnn2o3.ceye.io\"}}}";
		Object json1 = JSONObject.parse(jsonStr);
		System.out.println(json1);
	}
}
